> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Updates (SSE)

> Subscribe to real-time updates for a specific task using Server-Sent Events (SSE). Returns a stream of task execution status changes and results.



## OpenAPI

````yaml get /agent-tasks/{taskId}/updates
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent-tasks/{taskId}/updates:
    get:
      tags:
        - Agent Task
      summary: Get Task Updates (SSE)
      description: >-
        Subscribe to real-time updates for a specific task using Server-Sent
        Events (SSE). Returns a stream of task execution status changes and
        results.
      operationId: AgentTaskController_getSseUpdates
      parameters:
        - name: taskId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````